## com.baidubce.services.bmr.model
Class GetClusterRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bmr.model.GetClusterRequest

    public class GetClusterRequest

extends AbstractBceRequest

Provides option for desribing a BMR cluster. The essential option is cluster ID.

Constructor Summary
`GetClusterRequest()`

Method Summary
`String` `getClusterId()`
`void` `setClusterId(String clusterId)`
`GetClusterRequest` `withClusterId(String clusterId)` Configure the cluster ID for the request.
`GetClusterRequest` `withRequestCredentials(BceCredentials credentials)` Configure request credential for the request.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetClusterRequest

    public GetClusterRequest()

Method Detail

### getClusterId

    public String getClusterId()

### setClusterId

    public void setClusterId(String clusterId)

### withClusterId

    public GetClusterRequest withClusterId(String clusterId)

  Configure the cluster ID for the request.

  Parameters:
    `clusterId` - The ID of BMR cluster.
  Returns:
    GetClusterRequest

### withRequestCredentials

    public GetClusterRequest withRequestCredentials(BceCredentials credentials)

  Configure request credential for the request.

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`
  Parameters:
    `credentials` - a valid instance of BceCredentials.
  Returns:
    GetClusterRequest

Copyright © 2016. All rights reserved.